@font-face {
    font-family: 'massilia';
    src: url(./fonts/fonnts.com-Massilia_Light.otf);
}

@font-face {
    font-family: 'massilia_bold';
    src: url(./fonts/fonnts.com-Massilia_Bold.otf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-wrap: wrap;
    font-family: 'massilia', sans-serif;
    background: linear-gradient(70deg, rgb(255, 187, 16) 10%, rgba(36, 53, 127, 0.87) 65%);
    height: 100vh;
}

iframe {
    position: fixed;
    z-index: 3000;
    background-color: #21252978;
    width: 100%;
    height: 100%;
    padding: 5% 10%;
    display: none;
    border: none;
}

/* ================= Carossel ================= */

.carousel {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 0;
}

.carousel div img {
    width: 67.5rem;
}

.dots {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 35%;
    align-items: flex-start;
    z-index: 1;
}

.dot {
    display: block;
    width: 15px;
    height: 15px;
    margin: 0 6px;
    border-radius: 50%;
    background-color: white;
    cursor: pointer;
    transition: all 0.3s ease;
}

.dot.active {
    background-color: #D99B13;
}

/* Todas as imagens ficam sobrepostas */
.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;

    object-fit: cover;
    object-position: 50% 40%;

    /*background-position: center;*/
    /* Estado inicial fora da tela */

    /*opacity: 0;
    transform: translateX(100%);
    transition: transform 1s ease-in-out, opacity 1s ease-in-out;*/

    opacity: 0;
    transform: scale(1.08);
    transition: opacity 1.2s ease, transform 6s ease;
}

/* Slide visível */
.slide.active {
    /*transform: translateX(0);
    opacity: 0.7;
    z-index: 2;*/

    opacity: 0.30;
    /* leve overlay corporativo */
    transform: scale(1);
    /* zoom-in lento */
    z-index: 2;
}

/* Slide que está saindo */
.slide.exit {
    opacity: 0;
    transform: scale(1.03);
    z-index: 1;

    /*transform: translateX(-100%);
    opacity: 0;
    z-index: 1;*/
}

/* ================= LEFT SIDE ================= */
.login-section {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
    justify-content: flex-end;
}

.login-card {
    position: relative;
    width: 100%;
    max-width: 420px;
    padding: 6em 40px;
    /*padding: 6em 40px 0px 40px;*/
    /*cima direita baixo esquerda*/

    /* Efeito vidro */
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);

    /* Bordas grandes e orgânicas */
    border-radius: 90px 10px;

    /* Borda suave externa */
    /*border: 1px solid rgba(255, 255, 255, 0.25);*/

    /* Sombra suave */
    box-shadow: 0 25px 60px rgba(0, 0, 0, 0.14);
}


.logo-small {
    margin-bottom: 25px;
    color: #123e6b;
    font-weight: 600;
}

.logo-form {
    display: none;
}

/* Inputs */
.input-group {
    position: relative;
    margin-bottom: 18px;
}

.input-group input {
    width: 100%;
    padding: 15px 40px;
    background: rgba(255, 255, 255, 0.15);
    border-radius: 25px 0px;
    border: none;
    font-size: 14px;
    color: white;
}

.input-group input:focus {
    outline: none;
}

.input-group input::placeholder {
    color: rgba(255, 255, 255);
}

.icon {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 25px;
    opacity: 0.6;
    color: #e0a800;
}

.eye-close {
    display: none;
}

.eye-close, .eye-open {
    width: 22px;
    height: 15px;
    cursor: pointer;
}

.forgot {
    text-align: right;
    margin-bottom: 20px;
}

.forgot a {
    font-size: 13px;
    color: white;
    text-decoration: none;
}

.forgot a:hover {
    text-decoration: underline;
}

.copyright-footer p a {
    color:white;
    text-decoration: none;
}

.copyright-footer p a:hover{
    text-decoration: underline;
}

/* Button */
.btn-login {
    padding: 18px;
    border: none;
    border-radius: 8px;
    background: #D99B13;
    color: white;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

form div:last-child {
    display: flex;
    justify-content: center;
}

form div button {
    width: 75%;
}

.btn-login:hover {
    background: #09285E;
}

/* ================= RIGHT SIDE ================= */
.brand-section {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: white;
    z-index: 1;
}

.brand-content {
    display: flex;
    flex-direction: column;
}

.brand-content h1 {
    font-size: 15pt;
    font-weight: 300;
    text-align: center;
    font-family: 'massilia', sans-serif;
}

.brand-content h2 {
    font-size: 50pt;
    margin: 0px 0 25px;
    font-weight: 800;
    font-family: 'massilia_bold', sans-serif;
}

.logo-show {
    padding: 3em 0px 20px 0px;
    /*cima direita baixo esquerda*/
    text-align: center;
}

.manual-div {
    display: flex;
    justify-content: center;
    padding-top: 30px;
    /*padding: 6em 0px 25px 0px;*/
    /*cima direita baixo esquerda*/
    width: 100%;
    color: white;
    gap: 5px;
}

.manual-div span {
    cursor: pointer;
}

.manual-btn {
    display: flex;
    align-items: center;
    background: #09285E;
    color: white;
    padding: 15px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 14px;
    transition: 0.3s;
    gap: 5px;
}

.manual-btn:hover {
    background: #D99B13;
}

footer {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    padding-left: 11.9em;
    color: rgba(255, 255, 255, 0.85);
    font-size: 13px;
    letter-spacing: 0.3px;
    width: 100%;
    z-index: 1;
    /*margin-bottom: 3px;*/
}

footer p {
    margin: 0;
}

.logo-form {
    padding: 0.3em;
}

.integrity-welcome {
    display: none;
    color: white;
    text-align: center;
}

.error-box {
    top: -15px; /* ajusta a posição acima do input */
    left: 1;
    width: 100%;
    color: #ff3b3b;
    font-size: 12px;
    font-weight: 500;
    padding-bottom: 10px;
    text-align: center;
    pointer-events: none;
}

.error-message {
    position: absolute;
    top: -18px; 
    left: 0;
    font-size: 12px;
    color: #d9435a; 
    font-weight: 600;
    visibility: hidden; 
    pointer-events: none; 
}

/* ================= RESPONSIVE ================= */

@media (min-width: 1920px) {
    .carousel div img {
        width: 88.5rem;
    }
    
    footer{
        padding-left:22.9em;
    }
}

@media(max-width: 1025px) {
    .logo-show {
        display: none;
    }

    .carousel {
        height: 100%;
    }

    .login-card {
        padding-top: 0%;
    }

    .brand-content {
        margin: 1.5em 0px;
    }

    .brand-content h2 {
        text-align: center;
        font-size: 40pt;
    }

    .login-section {
        width: 55%;
        padding-right: 40px;
        padding-bottom: 0px;
    }

    .brand-section {
        width: 45%;
    }

    .logo-form {
        display: block;
        text-align: center;
        padding: 10% 0;
    }

    .logo-form img {
        width: 150px;
    }

    footer {
        padding-left: 6.5rem;
    }
}

@media (max-width: 769px) {

    footer {
        padding-left: 2.8rem;
    }
    
     .carousel {
        height: 100%;
    }

    .login-section {
        width: 70%;
        padding-right: 40px;
        padding-bottom: 0px;
    }

    .brand-section {
        width: 30%;
    }

    .brand-content h2 {
        font-size: 20pt;
    }
}

@media (max-width: 428px) {
    .brand-content .logo-show, .brand-content h1, .brand-content h2 {
        display: none;
    }
    
    .carousel div img {
        width: 81rem;
    }

    .integrity-welcome {
        display: block;
        padding: 10%;
        /*new*/
        /*margin: 0 auto;*/
    }

    .logo-form img {
        width: 70px;
        text-align: left;

    }

    .manual-div {
        /*padding: 3em 0px 15px 0px;*/
        /*cima direita baixo esquerda*/
        /*justify-content: flex-start;*/
        justify-content: center;
        align-items: flex-end;
    }

    .login-section {
        width: 100%;
        padding-top: 0px;
        flex-direction: column;
        justify-content: center;
        /*new*/
        /*gap: 20px;*/
    }

    .brand-section {
        display: none;
    }

    .logo-form {
        display: block;
        text-align: left;
    }

    .brand-section {
        text-align: center;
        padding-top: 0em;
    }

    .login-card {
        border-radius: 15px;
        padding-bottom: 1rem;
        margin-bottom: 5rem;
    }

    .dots {
        display: none;
    }

    footer {
        padding-left: 0;
        justify-content: center;
        position: absolute;
        bottom: 0;
    }

    footer .copyright-footer {
        text-align: center;
    }
}

@media (max-width: 394px) {
    .carousel div img {
        width: 75rem;
    }
}

@media (max-width: 376px) {
    .integrity-welcome {
        padding: 10% 0;
    }
    
     .carousel {
        height: 100%;
    }

    .btn-login {
        padding: 10px;
    }

    .login-section {
        padding: 0 5%;
    }
}

@media (max-width: 361px) {
    .carousel div img {
        width: 80rem;
    }
}
